The BL-875 pair/un-pair application is available to download above. This application will pair or un-pair your BL-875 device pair.

In order to use the BL-875 pair/un-pair application you will need to have Microsoft .NET Framework Version 2.0 installed. With this installed the application can be used on the following Operating Systems.

  • Windows 8.1: 32 & 64-bit
  • Windows 8: 32 & 64-bit
  • Windows Server 2008: 32 & 64-bit & R2
  • Windows 7: 32 & 64 bit
  • Windows Vista: 32 & 64 bit
  • Windows Server: 2003 32 & 64 bit
  • Windows XP: 32 & 64 bit
  • Windows 2000

This FAQ Applies to the following Brainboxes Product Ranges: